> On Sep 18, 2016, at 12:44 PM, Dirk Hohndel <d...@hohndel.org> wrote:
> 
> 
>> On Sep 18, 2016, at 10:01 AM, Robert Helling <hell...@atdotde.de 
>> <mailto:hell...@atdotde.de>> wrote:
>> 
>> Dirk,
>> 
>>> Am 18.09.2016 um 18:24 schrieb Dirk Hohndel <d...@hohndel.org 
>>> <mailto:d...@hohndel.org>>:
>>> 
>>> OK, I have fixed a couple small problems on Windows and now things seem to
>>> compile everywhere. New daily builds for Windows, Mac, and Linux are on
>>> the server.
>> 
>> I cannot run the binary from the daily builds:
>> 
>> <2LKtXVyDgfJnyAN1jK3c7_GlVKpjWgnFp5D180F3vRQ.png>
>> 
>> 
>> and the report says:
>> 
>> Crashed Thread:        0
>> 
>> Exception Type:        EXC_BREAKPOINT (SIGTRAP)
>> Exception Codes:       0x0000000000000002, 0x0000000000000000
>> Exception Note:        EXC_CORPSE_NOTIFY
>> 
>> Application Specific Information:
>> dyld: launch, loading dependent libraries
>> 
>> Dyld Error Message:
>>   Library not loaded: @executable_path/../Frameworks/libssh2.1.dylib
>>   Referenced from: /Volumes/VOLUME/Subsurface.app/Contents/MacOS/Subsurface
>>   Reason: Incompatible library version: Subsurface requires version 2.0.0 or 
>> later, but libssh2.1.dylib provides version 1.0.0
> 
> Fun - different versions of libssh2 are being used. Oops. I'll look into it.
> 
> I wonder why it didn't crash when I tried it here, though :-(

It did crash - I had tested the wrong DMG :-(

Anyway, fixed and replaced on the web server.

/D
_______________________________________________
subsurface mailing list
subsurface@subsurface-divelog.org
http://lists.subsurface-divelog.org/cgi-bin/mailman/listinfo/subsurface

Reply via email to